

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>J721E Proxy Device Descriptions &mdash; TISCI User Guide</title>
  

  
  
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
  

  

  
  
    

  

  
  
    <link rel="stylesheet" href="../../_static/css/theme.css" type="text/css" />
  

  
    <link rel="stylesheet" href="../../_static/theme_overrides.css" type="text/css" />
  

  
        <link rel="index" title="Index"
              href="../../genindex.html"/>
        <link rel="search" title="Search" href="../../search.html"/>
    <link rel="top" title="TISCI User Guide" href="../../index.html"/>
        <link rel="up" title="Chapter 5: SoC Family Specific Documentation" href="../index.html"/>
        <link rel="next" title="J721E Secure Proxy Descriptions" href="sec_proxy.html"/>
        <link rel="prev" title="J721E PSI-L Device Descriptions" href="psil_cfg.html"/> 

  
  <script src="../../_static/js/modernizr.min.js"></script>

</head>

<body class="wy-body-for-nav" role="document">
  <header id="tiHeader">
    <div class="top">
      <ul>
        <li id="top_logo">
          <a href="http://www.ti.com">
            <img src="../../_static/img/ti_logo.png"/>
          </a>
        </li>
      </ul>
    </div>
    <div class="nav"></div>
  </header>
  <div class="wy-grid-for-nav">

    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search">
          

          
            <a href="../../index.html" class="icon icon-home"> TISCI
          

          
          </a>

          
            
            
              <div class="version">
                11.00.04
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
                <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../../1_intro/index.html">Chapter 1: Introduction</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../2_tisci_msgs/index.html">Chapter 2: TISCI Message Documentation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../3_boardcfg/index.html">Chapter 3: Board Configuration</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../4_trace/index.html">Chapter 4: Interpreting Trace Data</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="../index.html">Chapter 5: SoC Family Specific Documentation</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="../index.html#am65x-sr1">AM65x SR1</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#am65x-sr2">AM65x SR2</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#am64x">AM64x</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#am62x">AM62x</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#am62ax">AM62Ax</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#am62px">AM62Px</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#am275x">AM275x</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#am62lx">AM62Lx</a></li>
<li class="toctree-l2 current"><a class="reference internal" href="../index.html#j721e">J721E</a><ul class="current">
<li class="toctree-l3"><a class="reference internal" href="hosts.html">J721E Host Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="devices.html">J721E Devices Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="clocks.html">J721E Clock Identifiers</a></li>
<li class="toctree-l3"><a class="reference internal" href="pll_data.html">J721E PLL Defaults</a></li>
<li class="toctree-l3"><a class="reference internal" href="resasg_types.html">J721E Board Configuration Resource Assignment Type Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="interrupt_cfg.html">J721E Interrupt Management Device Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="ra_cfg.html">J721E Ring Accelerator Device Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="dma_cfg.html">J721E DMA Device Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="psil_cfg.html">J721E PSI-L Device Descriptions</a></li>
<li class="toctree-l3 current"><a class="current reference internal" href="#">J721E Proxy Device Descriptions</a><ul>
<li class="toctree-l4"><a class="reference internal" href="#introduction">Introduction</a></li>
<li class="toctree-l4"><a class="reference internal" href="#proxy-device-ids">Proxy Device IDs</a></li>
<li class="toctree-l4"><a class="reference internal" href="#proxy-indices">Proxy Indices</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="sec_proxy.html">J721E Secure Proxy Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="processors.html">J721E Processor Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="firewalls.html">J721E Firewall Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="soc_devgrps.html">J721E Device Group descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="soc_domgrps.html">J721E Domain Group descriptions</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#j7200">J7200</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#j721s2">J721S2</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#j722s">J722S</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#j784s4">J784S4</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../../6_topic_user_guides/index.html">Chapter 6: Topic User Guides</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" role="navigation" aria-label="top navigation">
        <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
        <a href="../../index.html">TISCI</a>
      </nav>


      
      <div class="wy-nav-content">
        <div class="rst-content">
          

 



<div role="navigation" aria-label="breadcrumbs navigation">
  <ul class="wy-breadcrumbs">
    <li><a href="../../index.html">Docs</a> &raquo;</li>
      
          <li><a href="../index.html">Chapter 5: SoC Family Specific Documentation</a> &raquo;</li>
      
    <li>J721E Proxy Device Descriptions</li>
      <li class="wy-breadcrumbs-aside">
        
          
        
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="j721e-proxy-device-descriptions">
<h1>J721E Proxy Device Descriptions<a class="headerlink" href="#j721e-proxy-device-descriptions" title="Permalink to this headline">¶</a></h1>
<div class="section" id="introduction">
<h2>Introduction<a class="headerlink" href="#introduction" title="Permalink to this headline">¶</a></h2>
<p>This chapter provides information on the Proxy devices in the J721E SoC.  Some
System Firmware TISCI messages take device specific inputs. This chapter
provides information on the valid values for Proxy TISCI message parameters.</p>
</div>
<div class="section" id="proxy-device-ids">
<span id="pub-soc-j721e-proxy-device-ids"></span><h2>Proxy Device IDs<a class="headerlink" href="#proxy-device-ids" title="Permalink to this headline">¶</a></h2>
<p>Some System Firmware TISCI message APIs require the Proxy device ID be provided
as part of the request. Based on <a class="reference internal" href="devices.html"><span class="doc">J721E Device IDs</span></a> these are the
valid Proxy device IDs.</p>
<table border="1" class="docutils">
<colgroup>
<col width="60%" />
<col width="40%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Proxy Device Name</th>
<th class="head">Proxy Device ID</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>J721E_DEV_NAVSS0_PROXY_0</td>
<td>210</td>
</tr>
<tr class="row-odd"><td>J721E_DEV_MCU_NAVSS0_PROXY0</td>
<td>234</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="proxy-indices">
<span id="pub-soc-j721e-proxy-proxies"></span><h2>Proxy Indices<a class="headerlink" href="#proxy-indices" title="Permalink to this headline">¶</a></h2>
<p>This section describes Proxy indices.  The proxy index is used in some Proxy
based TISCI messages.</p>
<div class="admonition warning">
<p class="first admonition-title">Warning</p>
<p class="last">Resources marked as reserved for use by DMSC <strong>cannot</strong> be assigned to a
host within the RM Board Configuration resource assignment array.  The RM
Board Configuration is rejected if an overlap with a reserved resource is
detected.</p>
</div>
<table border="1" class="docutils">
<colgroup>
<col width="70%" />
<col width="30%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Proxy Name</th>
<th class="head">Proxy Range</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>J721E_DEV_NAVSS0_PROXY_0</td>
<td>0 to 63</td>
</tr>
<tr class="row-odd"><td>J721E_DEV_MCU_NAVSS0_PROXY0
(<strong>RESERVED BY SYSTEM FIRMWARE</strong>)</td>
<td>0 to 0</td>
</tr>
<tr class="row-even"><td>J721E_DEV_MCU_NAVSS0_PROXY0</td>
<td>1 to 63</td>
</tr>
</tbody>
</table>
</div>
</div>


           </div>
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="sec_proxy.html" class="btn btn-neutral float-right" title="J721E Secure Proxy Descriptions" accesskey="n">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
        <a href="psil_cfg.html" class="btn btn-neutral" title="J721E PSI-L Device Descriptions" accesskey="p"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
      <a href="http://www.ti.com/corp/docs/legal/copyright.shtml">&copy; Copyright 2016-2025</a>, Texas Instruments Incorporated. All rights reserved. <br>
      <a href="http://www.ti.com/corp/docs/legal/trademark/trademrk.htm">Trademarks</a> | <a href="http://www.ti.com/corp/docs/legal/privacy.shtml">Privacy policy</a> | <a href="http://www.ti.com/corp/docs/legal/termsofuse.shtml">Terms of use</a> | <a href="http://www.ti.com/lsds/ti/legal/termsofsale.page">Terms of sale</a>

    </p>
  </div> 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  

    <script type="text/javascript">
        var DOCUMENTATION_OPTIONS = {
            URL_ROOT:'../../',
            VERSION:'11.00.04',
            COLLAPSE_INDEX:false,
            FILE_SUFFIX:'.html',
            HAS_SOURCE:  true
        };
    </script>
      <script type="text/javascript" src="../../_static/jquery.js"></script>
      <script type="text/javascript" src="../../_static/underscore.js"></script>
      <script type="text/javascript" src="../../_static/doctools.js"></script>
      <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>

    <script src="http://www.ti.com/assets/js/headerfooter/analytics.js" type="text/javascript" charset="utf-8"></script>

  

  
  
    <script type="text/javascript" src="../../_static/js/theme.js"></script>
  

  
  
  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.StickyNav.enable();
        });

      var menuHeight = window.innerHeight;

      var contentOffset = $(".wy-nav-content-wrap").offset();
      var contentHeight = $(".wy-nav-content-wrap").height();
      var contentBottom = contentOffset.top + contentHeight;

      function setNavbarTop() {
          var scrollTop = $(window).scrollTop();
          var maxTop = scrollTop + menuHeight;

          // If past the header
          if (scrollTop > contentOffset.top && maxTop < contentBottom) {
            stickyTop = scrollTop - contentOffset.top;
          } else if (maxTop > contentBottom) {
            stickyTop = scrollTop - contentOffset.top - (maxTop - contentBottom);
          } else {
            stickyTop = 0;
          }

          $(".wy-nav-side").css("top", stickyTop);
      }

      $(document).ready(function() {
        setNavbarTop();
        $(window).scroll(function () {
          setNavbarTop();
        });

        $('body').on("mousewheel", function () {
            // Remove default behavior
            event.preventDefault();
            // Scroll without smoothing
            var wheelDelta = event.wheelDelta;
            var currentScrollPosition = window.pageYOffset;
            window.scrollTo(0, currentScrollPosition - wheelDelta);
        });
      });
  </script>
   

</body>
</html>